com.pdfunit.validators

## Class MultiDocumentPermissionValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentPermissionValidator

-     @DoNotObfuscate
      public final class MultiDocumentPermissionValidator
      extends java.lang.Object

  Validator for permissions in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016
  See Also:
    `PermissionValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentPermissionValidator(MultiDocumentValidator multiDocumentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentPermissionValidator` | `hasPermission()` This method prepares the validation of permissions of each given PDF documents.
    `MultiDocumentPermissionValidator` | `toAllowScreenReaders(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toAssembleDocument(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toExtractContent(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toFillInFields(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toModifyAnnotations(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toModifyContent(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toPrintInDegradedQualityOnly(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.
    `MultiDocumentPermissionValidator` | `toPrintInHighQuality(boolean expected)` This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentPermissionValidator

          protected MultiDocumentPermissionValidator(MultiDocumentValidator multiDocumentValidator)

  - ### Method Detail

    - #### hasPermission

          public MultiDocumentPermissionValidator hasPermission()

      This method prepares the validation of permissions of each given PDF documents.

    - #### toPrintInHighQuality

          @Guarded
          public MultiDocumentPermissionValidator toPrintInHighQuality(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toAllowScreenReaders

          @Guarded
          public MultiDocumentPermissionValidator toAllowScreenReaders(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toPrintInDegradedQualityOnly

          @Guarded
          public MultiDocumentPermissionValidator toPrintInDegradedQualityOnly(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toFillInFields

          @Guarded
          public MultiDocumentPermissionValidator toFillInFields(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toExtractContent

          @Guarded
          public MultiDocumentPermissionValidator toExtractContent(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toModifyContent

          @Guarded
          public MultiDocumentPermissionValidator toModifyContent(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toAssembleDocument

          @Guarded
          public MultiDocumentPermissionValidator toAssembleDocument(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

    - #### toModifyAnnotations

          @Guarded
          public MultiDocumentPermissionValidator toModifyAnnotations(boolean expected)

      This method verifies that each given PDF document has the permission, indicated by the name of this method.

Copyright (C) PDFUnit.com. See here for license.